torios-dev team mailing list archive
-
torios-dev team
-
Mailing list archive
-
Message #00104
Re: [Torios] ToriOS (beta) tarball with 3 kernels
Den 2015-03-27 15:37, Cinque Port Computers skrev:
> Nio, Israel,
>
> Something is wrong with how I installed in VB as the ToriOS does not
> remember any settings over a reboot; the nm-applet stays with a red
> cross on it even though the network connection is fine.
>
> I also can't get rid of Nio's liveCD in connected devices which is
> stopping me inserting the VB Guest Additions iso as a pseudo-CD.
>
> It just is not acting the same as when I installed via Israel's isos and
> updated via the ppas.
>
> I'll stop this for a while I think until maybe you guys figure out what
> I'm doing wrong.
>
> JackT.
>
>>
>> Question to Jack: Did you install the tarball with 'my' OBI or with
>> ToriOS? If you use 'my' OBI, you should instead use the following tarball,
>>
>>
> http://phillw.net/isos/one-button-installer/tarballs/ToriOS_3kernels_use-by-OBI-in-trusty.tar.xz
>>
>>
>> Best regards
>> Nio
Hi again Jack,
The tarball you downloaded '...precise...' was intended to be used by
ToriOS, which is based on Ubuntu 12.04 'precise', but it needed further
tweaks (as is described later ...).
If you use 'my OBI' you should use the tarball '...trusty...' and run a
modern version of the OBI inside Lubuntu Trusty.
dd_blank-obi_7.8GB_27_LubuntuTrusty.img.xz
Is that possible for you (do you have suitable hardware available for
testing, or is it necessary to test in VirtualBox)?
- a separate computer or at least a separate target USB pendrive with at
least 8 GB. It is better if it is fast, for example Sandisk Extreme.
- possible to install and configure KVM + virt-manager in a computer
with enough horsepower, could be the same computer, where you run
VirtualBox).
-o-
Hi Israel and Jack,
After some more tests, I found that nm-applet and some other things work
when installed by 'my OBI' in precise, but not when installed by ToriOS
live. I know that it is like this, but I don't know why. Anyway, I made
a new tarball, where I added the kernels and made it boot to the grub
menu. This new system works well, when installed by ToriOS live (but not
by 'my OBI'). It is uploaded to phillw.net, and can be downloaded and
selected in ToriOS live. The link should be one line,
http://phillw.net/isos/linux-tools/OBI/precise/tarballs/ToriOS_3-kernels_01_use-by-ToriOS-live.tar.xz
$ ls -l ToriOS_3-kernels_01_use-by-ToriOS-live.tar.xz
-rw-r--r-- 1 nio nio 430014032 mar 27 19:37
ToriOS_3-kernels_01_use-by-ToriOS-live.tar.xz
$ md5sum ToriOS_3-kernels_01_use-by-ToriOS-live.tar.xz
81b841b0612f4298b3652437bfa85757
ToriOS_3-kernels_01_use-by-ToriOS-live.tar.xz
I have also changed 'dltbl', so that it will not confuse end users. Use
the attached file in the next version of the ToriOS live system
$ md5sum dltbl
64fce314d2105cc832cc8d8c1786d832 dltbl
-----
$ diff ~/dltbl dltbl0
160,161c160
< # rm "${tarpath}"/"$target"
< rm "$target"
---
> rm "${tarpath}"/"$target"
163,168c162
< mv "$target" "${tarpath}" 2> /dev/null
< if [ $? -ne 0 ]
< then
< echo "Could not write to /tarballs, which is normal in a live session."
< echo "'Select tarball' can still find the tarball automatically."
< fi
---
> mv "$target" "${tarpath}"
172a167
>
-----
Best regards
Nio
#!/bin/bash
# author sudodus alias nio-wiklund at launchpad
#
# date editor comment
# 2013-11-08 sudodus created dltbl (download tarball)
# 2013-11-10 sudodus option to remove old tarballs
# 2013-11-10 sudodus removing tarballs if bad md5sum
# 2014-12-02 israel added "${tarpath}" variable and checks
# 2015-01-04 sudodus modified for-loops - grep "tarballs"
# 2015-01-04 sudodus modified md5check fix after "${tarpath}"
# 2015-01-04 sudodus selecting repository for tarballs
# selecting repository for tarballs
function echoout {
echo "[OBI] $@"
echo "$@" >> "${HOME}"/obi-installer.log
}
release="$(grep RELEASE /etc/lsb-release|cut -d= -f2)"
idvar="$(grep '^ID=' /etc/os-release|cut -d= -f2)"
md5file="md5sums-phillw.txt"
#release=14.04 # uncomment to force for testing
teststr=${release/.}
#echo teststr=$teststr
if [ ${teststr:0:4} -eq 1204 ] && [ "$idvar" == "ubuntu" ]
then
md5src="http://phillw.net/isos/linux-tools/OBI/precise/$md5file"
tblsrc="http://phillw.net/isos/linux-tools/OBI/precise/tarballs/"
elif [ ${teststr:0:4} -gt 1210 ] && [ "$idvar" == "ubuntu" ]
then
md5src="http://phillw.net/isos/linux-tools/OBI/trusty/$md5file"
tblsrc="http://phillw.net/isos/linux-tools/OBI/trusty/tarballs/"
else
echoout "dltbl: cannot download tarballs for: $idvar $release"
echo "------------------------------------------------------------"
cat /etc/*release|sort
echo "------------------------------------------------------------"
echo "Cannot find repository automatically for this distro/version"
echo "Download/check tarballs manually and move them to ~/tarballs"
echo "------------------------------------------------------------"
read -p "Press ENTER to continue"
exit
fi
md5temp=$(mktemp)
version=$( grep -i 'obi version' change.log|tail -n1|tr -s ' ' ' '| \
cut -d ' ' -f 5-6)
if [ "$(whoami)" != "root" ]
then
echo "Usage: sudo $0"
echo "to download tarballs"
exit
fi
# Download the md5sum file
# check for tarballs
if [ -d "/tarballs" ]
then
tarpath="/tarballs"
elif [ -d "${HOME}/tarballs" ]
then
tarpath="${HOME}/tarballs"
elif [ -d "${PWD}/tarballs" ]
then
tarpath="${PWD}/tarballs"
else
mkdir -p "${HOME}/tarballs"
tarpath="${HOME}/tarballs"
echoout "Error finding the tarball path so it was made at:
${HOME}/tarballs"
fi
rm -f "$md5file"
wget "$md5src"
if [ $? -ne 0 ]
then
read -p "error downloading $md5src"
fi
# Remove old tarballs the create space for new tarballs
echo "----------------------------------------------------------"
echo "There should be enough space for the new tarball"
ls "${tarpath}"/* > /dev/null 2> /dev/null
if [ $? -eq 0 ]
then
df -h .
read -p "Remove some old tarball(s) only if necessary (y/n)" ans
if [ "$ans" == "y" ]
then
rm -i "${tarpath}"/*.tar.[gx]z
df -h .
read -p "Press Enter to continue"
fi
fi
#echo "93:${tarpath}"
# Make list of available new tarballs
item=0
#for i in $(grep "${tarpath}" $md5file|cut -d / -f 2)
for i in $(grep "tarballs" $md5file|cut -d / -f 2)
do
if ! test -f "${tarpath}"/"$i"
then
item=$(($item + 1))
seltxt="$seltxt$item \"$i\" "
# else
# echo "You have already got $i"
fi
done
#echo "108: item=$item; seltxt=$seltxt"
# select tarball, go or quit
ans=$(dialog --backtitle "One Button Installer $version - Download tarball" \
--title "Please select a tarball with the arrow keys, scroll if necessary" \
--default-item "$choice" --colors --menu "Available tarballs" 17 76 $(($item + 1)) \
$seltxt q "Quit, no tarball selected" 3>&1 1>&2 2>&3 3>&- )
choice="$ans"
item=0
#for i in $(grep "${tarpath}" $md5file|cut -d / -f 2)
for i in $(grep "tarballs" $md5file|cut -d / -f 2)
do
if ! test -f "${tarpath}"/"$i"
then
item=$(($item + 1))
targ0="$i"
if [ "$item" == "$choice" ]
then
target=$targ0
fi
fi
done
# Download tarball
if [ "$ans" == "q" ] || [ "$ans" == "" ]
then
echoout "No tarball downloaded"
else
echoout "$target to be downloaded"
wget "$tblsrc/$target"
grep "tarballs/$target" "$md5file" > "$md5temp"
sed -i 's#tarballs/##' "$md5temp"
# echo -n "115:";cat "$md5temp"
# mv "$target" "${tarpath}"
/bin/echo -n "Checking md5sum ... "
# testing bad md5sum
# sed s/0/a/ "$md5temp" > ttt
# mv ttt "$md5temp"
md5sum -c "$md5temp"
if [ $? -ne 0 ]
then
echoout "*** Bad md5sum, try to download the tarball again ***"
# rm "${tarpath}"/"$target"
rm "$target"
else
mv "$target" "${tarpath}" 2> /dev/null
if [ $? -ne 0 ]
then
echo "Could not write to /tarballs, which is normal in a live session."
echo "'Select tarball' can still find the tarball automatically."
fi
fi
rm "$md5temp"
read -p "Check the result and press Enter to continue"
fi
References